curl --request GET \
--url https://api.amberdata.com/markets/futures/exchanges/reference \
--compressed \
--header 'Accept-Encoding: <accept-encoding>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.amberdata.com/markets/futures/exchanges/reference"
headers = {
"Accept-Encoding": "<accept-encoding>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Accept-Encoding': '<accept-encoding>', 'x-api-key': '<api-key>'}
};
fetch('https://api.amberdata.com/markets/futures/exchanges/reference', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"title": "OK",
"description": "Successful request",
"payload": {
"metadata": {
"next": "https://api.amberdata.com/markets/futures/exchanges/reference?cursor=N4IglgdgxgNgrgEwKYEkIEMoBcwDckgBcAZujAM5IA0408yA8gE5gDmkZASksUk0tAIkylGpFiIkAVQjk4AB3kB7JliQIAogA8oAC3QRWSckVIVqIHAFskAMRVX0WIiCtgYMMJShKICEzTEDk4uAFbkviA08uhGRACMNORgAF5CAKwADJkAvkA",
"api-version": "2023-09-30"
},
"data": [
{
"exchange": "binance",
"instrument": "1000BONKUSDC",
"baseSymbol": "1000BONK",
"quoteSymbol": "USDC",
"market": "futures",
"exchangeEnabled": true,
"limitsPriceMin": 0.000001,
"limitsPriceMax": 200,
"limitsVolumeMin": 1,
"limitsVolumeMax": 10000000,
"limitsMarketMin": 1,
"limitsMarketMax": 2000000,
"limitsLeverageMin": null,
"limitsLeverageMax": null,
"limitsLeverageSuperMax": null,
"limitsCostMin": null,
"limitsCostMax": null,
"precisionPrice": 0.000001,
"precisionVolume": 1,
"precisionBase": 1e-8,
"precisionQuote": 1e-8,
"listingTimestamp": null,
"contractUnderlying": "1000BONK",
"contractExpirationTimestamp": null,
"contractPeriod": "perpetual",
"contractSize": null,
"contractSettleType": "linear",
"contractSettleSymbol": null
}
]
}
}Reference
Provides comprehensive reference data for futures instruments across exchanges, including details on base and quote symbols, price and volume limits, precision, contract terms, and trading availability.
precisionVolume
Occasionally, you may encounter a value of0 for precisionVolume. This is due to the underlying exchange returning 0 for the instrument’s trade size precision.We have noticed this behavior with several instruments on Kraken.Authorizations
Query Parameters
[Optional] Only return data for the given exchange(s) (comma separated)
Only return data for the given pair.
[Optional] If true, endpoint returns all instruments, including delisted ones. [Defaults] True | False*.
[Optional] The number of records per page (only available when includeInactive=true).
[Optional] Payload only includes instruments which have expiration after this date (inclusive). [Formats] seconds | milliseconds | iso8601 [Examples] 1578531600 | 1578531600000 | 2020-09-01T01:00:00
[Optional] Payload only includes instruments which have expiration before this date (exclusive). [Formats] seconds | milliseconds | iso8601 [Examples] 1578531600 | 1578531600000 | 2020-09-01T01:00:00
[Optional] If true, endpoint returns originalReference. [Defaults] True | False*.
[Optional] Filter for instruments whose underlying matches the value given. [Examples] btc | ETH
[Optional] Filter for instruments that expire on the specified date. [Example] 2024-08-01
[Optional] Filter for instruments that match the contract type specified. [Examples] yearly | quarterly | monthly | weekly | daily | perpetual | prediction
[Optional] Time format of the timestamps in the return payload. [Defaults] milliseconds | ms* | iso | iso8601 | hr | human_readable
Was this page helpful?